[arch-commits] Commit in gtk2/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Nov 8 16:19:27 EST 2009


    Date: Sunday, November 8, 2009 @ 16:19:27
  Author: jgc
Revision: 58513

Merged revisions 58508 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gtk2/trunk

........
  r58508 | jgc | 2009-11-08 22:13:50 +0100 (Sun, 08 Nov 2009) | 1 line
  
  Remove xid collision warnings (FS#17020)
........

Added:
  gtk2/repos/extra-x86_64/xid-collision-debug.patch
    (from rev 58508, gtk2/trunk/xid-collision-debug.patch)
Modified:
  gtk2/repos/extra-x86_64/	(properties)
  gtk2/repos/extra-x86_64/PKGBUILD

---------------------------+
 PKGBUILD                  |   10 ++++++----
 xid-collision-debug.patch |   15 +++++++++++++++
 2 files changed, 21 insertions(+), 4 deletions(-)


Property changes on: gtk2/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gtk2/trunk:1-56031
   + /gtk2/trunk:1-58512

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-08 21:15:37 UTC (rev 58512)
+++ extra-x86_64/PKGBUILD	2009-11-08 21:19:27 UTC (rev 58513)
@@ -3,7 +3,7 @@
 
 pkgname=gtk2
 pkgver=2.18.3
-pkgrel=1
+pkgrel=2
 pkgdesc="The GTK+ Toolkit (v2)"
 arch=(i686 x86_64)
 url="http://www.gtk.org/"
@@ -17,15 +17,17 @@
 backup=(etc/gtk-2.0/gtkrc)
 license=('LGPL')
 source=(http://ftp.gnome.org/pub/gnome/sources/gtk+/2.18/gtk+-${pkgver}.tar.bz2
-        libjpeg-7.patch)
+        libjpeg-7.patch
+        xid-collision-debug.patch)
 sha256sums=('1c0665fe560a560851e8b3c9a6501d416c4b54abfb6fa07549d703a04ea768bf'
-            '67de89f864a8d10e617a9600025d5bd932ac22adca4cda314d470a2d72e0196e')
+            '67de89f864a8d10e617a9600025d5bd932ac22adca4cda314d470a2d72e0196e'
+            'd758bb93e59df15a4ea7732cf984d1c3c19dff67c94b957575efea132b8fe558')
 
 build() {
   cd "${srcdir}/gtk+-${pkgver}"
   patch -Np1 -i "${srcdir}/libjpeg-7.patch" || return 1
+  patch -Np1 -i "${srcdir}/xid-collision-debug.patch" || return 1
 
-  autoreconf || return 1
   CXX=/bin/false ./configure --prefix=/usr --sysconfdir=/etc \
       --localstatedir=/var --with-xinput=yes \
       --without-libjasper \

Copied: gtk2/repos/extra-x86_64/xid-collision-debug.patch (from rev 58508, gtk2/trunk/xid-collision-debug.patch)
===================================================================
--- extra-x86_64/xid-collision-debug.patch	                        (rev 0)
+++ extra-x86_64/xid-collision-debug.patch	2009-11-08 21:19:27 UTC (rev 58513)
@@ -0,0 +1,15 @@
+--- gtk+-2.18.3/gdk/x11/gdkxid.c	2009-06-19 04:59:18.000000000 +0200
++++ gtk+-2.18.3/gdk/x11/gdkxid.c.new	2009-07-22 11:30:12.000000000 +0200
+@@ -56,10 +56,10 @@
+   if (!display_x11->xid_ht)
+     display_x11->xid_ht = g_hash_table_new ((GHashFunc) gdk_xid_hash,
+ 					    (GEqualFunc) gdk_xid_equal);
+-
++/*
+   if (g_hash_table_lookup (display_x11->xid_ht, xid))
+     g_warning ("XID collision, trouble ahead");
+-
++*/
+   g_hash_table_insert (display_x11->xid_ht, xid, data);
+ }
+ 



More information about the arch-commits mailing list